DataViewsJS is hosted on npm with separate packages for each module.
Note: You need to have NodeJS installed on your computer to use the npm packages.
The latest DataViewsJS release version can be installed from npm by executing the following command from the NodeJS command prompt:
npm install @grapecity/dataviews.all
This will install all of the pure JavaScript modules. If you want to install support for other frameworks or to install specific control modules, see: referencing npm.
Add a host element to your application and give it an ID. This is the HTML element that will be a container for the DataViewsJS control.
<div id="host-container"></div>
DataViewsJS package contains JavaScript modules in UMD format. You can use them along with tools that are capable of loading modules, like the Webpack bundler or SystemJS run-time module loader.
To import DataViewsJS modules into your application backed by TypeScript or Babel, you can use ES2015 import statements. All module names in import statements begin with the "@grapecity/" prefix, followed by the module name. For example, the following code imports the "dataviews.core" module and creates an instance of the DataViewsJS control:
import DataView from '@grapecity/dataviews.core';
import { GridLayout } from '@grapecity/dataviews.grid';
const data = []; // your data set
const dataView = new DataView('#host-container', data, new GridLayout());
If you write code in ES5 then the CommonJS require() function can be used to import modules. For example:
var DataView = require('@grapecity/dataviews.core');
require('@grapecity/dataviews.grid');
var grid = new DataView('#host-container');
Submit and view feedback for

Version 1
Version 1

DataViewsJS React Component

Supports React version 15.0.0 or higher.

The DataViewsJS control can be integrated with the DataViewsJS component for React in React JSX syntax. A DataViewsJS React component is a wrapper for the DataViewsJS control it represents. The Component creates a DataViewJS control behind the scenes, and provides a reference to the control instance via the dataView property. The Component also allows you to configure the control options and events declaratively in the React JSX syntax.

DataViewsJS React component is shipped as a separate npm @grapecity/dataviews.react package. The latest version of the package can be installed from npm by executing the following command from NodeJS command prompt:

npm install @grapecity/dataviews.react

See this topic for more details about DataViewsJS npm packages.

After that, you can import React component using ESM import statements. For example, the below import statement imports the DataViewsJS React component:

import DataView from '@grapecity/dataviews.react';

Importing DataViewsJS React Component

With this setup, you can import DataViewsJS React module and use the component it provides. For example, the below code adds a DataViewsJS component with grid layout to App component's JSX:

jsx harmony
import React from 'react';
import DataView from '@grapecity/dataviews.react';
import '@grapecity/dataviews.grid'; // to apply default grid layout
import { getData } from './data';

class App extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      data: getData(),
    };
  }
  render() {
    return <DataView data={this.state.data} />;
  }
}

Please see DataView component for referring the properties and events supported by the component.

The "onCreate" Event

DataViewsJS React component includes an "onCreate" event which is raised after the control is initialized. You can use this event to perform further initalization in addition to setting up the properties in JSX. For example:

jsx harmony
import React from 'react';
import DataView from '@grapecity/dataviews.react';
import '@grapecity/dataviews.grid'; // to apply default grid layout

class App extends React.Component {
  constructor(props) {
    super(props);

    this.initDataView = this.initDataView.bind(this);
  }

  render() {
    return (
      <div>
        <DataView onCreate={this.initDataView} />
      </div>
    );
  }

  initDataView(dataView) {
    // expand some nodes manually
    dataView.data.nodes.forEach(node => {
      node.collapsed = false;
    });

    dataView.invalidate();
  }
}

Creating DataViewsJS Control in Code

DataViewsJS component for React is intended to be used in React JSX. If you want to create a DataViewsJS control in code, you should use a DataViewsJS control from a core module for this purpose, instead of a React component. For example, this code creates a DataViewsJS control in code:

import DataView from '@grapecity/dataviews.core';

let data = [];
let dataView = new DataView('#host_element', data);

Note: To import DataViewsJS control, we use '@grapecity/dataviews.core' module instead of '@grapecity/dataviews.react'.

Version 1
Version 1

DataViewsJS Angular Component

Supports Angular 7.x version or higher.

The DataViewsJS control can be integrated with the DataViewsJS component for Angular in Angular templates markup. This component adds the necessary functionality that allows the DataViewsJS control to be used in the Angular template markup, with the fully functional one-way and two-way property bindings and event bindings. This integration is smooth, as all the players, DataViewsJS control, DataViewsJS Angular component and Angular itself are written in the same TypeScript language.

DataViewsJS Angular component is shipped as a separate module published as @grapecity/dataviews.angular package which can be installed from npm by executing the following command from the NodeJS command prompt:

npm install @grapecity/dataviews.angular

See this topic for more details about DataViewsJS npm packages.

After that you can import NgModule using ESM import statements as in the below example:

import { DataViewModule } from '@grapecity/dataviews.angular';

Importing DataViewsJS Angular Component

With this setup, you can import Angular module and use the Angular component in your application. For example, this code adds a DataViewsJS component to AppComponent component's template:

import { Component, NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { DataViewModule } from '@grapecity/dataviews.angular';
import '@grapecity/dataviews.grid'; // to apply default grid layout

@Component({
  template: '<gc-dataview [data]="data"></gc-dataview>',
  selector: 'app-root',
})
export class AppComponent {
  data: any[]; // put your data set here
}

@NgModule({
  imports: [DataViewModule, BrowserModule],
  declarations: [AppComponent],
})
export class AppModule {}

The name of the custom HTML element (also known as Web Component) which is associated with DataViewsJS Angular component is gc-dataview.

Please see DataView component for referring the properties and events supported by the component.

The "created" Event

DataViewsJS Angular component includes a "created" event which is raised after the DataViewsJS control is initialized. You can use this event to perform further initialization in addition to setting up the properties in markup. For example:

<gc-dataview (created)="initDataView($event)"> </gc-dataview>
// implementation
export class AppComponent {
  constructor() {
    this.data = []; // your data set
  }

  initDataView(dataView) {
    // expand some nodes manually
    dataView.data.nodes.forEach((node) => {
      node.collapsed = false;
    });

    dataView.invalidate();
  }
}

Creating DataViewsJS Control in Code

DataViewsJS component for Angular is intended to be used in Angular template markup. If you want to create a DataViewsJS control in code, you should use a DataViewsJS control from a core module for this purpose, instead of an Angular component. For example, this code creates a DataViewsJS control in code:

import DataView from '@grapecity/dataviews.core';

let data = [];
let dataView = new DataView('#host_element', data);

Note: To import DataViewsJS control, we use '@grapecity/dataviews.core' module instead of '@grapecity/dataviews.angular'.

Adapting to Different Loader/Bundler Tools

Let's consider the specifics of adapting DataViewsJS with most popular module loaders and bundlers.

WebPack

DataViewsJS CSS styles are not included into the application bundle by default. However, this can be done manually by including the required CSS files into your application bundle. For example, this is how you can include gc.dataviews.core.css file using standard WebPack:

import 'style!css!@grapecity/dataviews.core/dist/gc.dataviews.core.css';

The style-loader and css-loader should be added to the "devDependencies" option of your application's package.json file:

{
  devDependencies: {
    'css-loader': '^0.23.1',
    'style-loader': '^0.13.1',
    // ... another libraries
  },
}

SystemJS Loader

You can map DataViewsJS npm module names to DataViews .js files. In the node_modules folder, add the following config options that you pass to the System.config method call:

const config = {
  map: {
    // You need a separate mapping for every DataViews package
    '@grapecity/dataviews.core': 'node_modules/@grapecity/dataviews.core/dist/gc.dataviews.core.min.js',
    '@grapecity/dataviews.grid': 'node_modules/@grapecity/dataviews.grid/dist/gc.dataviews.grid.min.js',
    '@grapecity/dataviews.calendar': 'node_modules/@grapecity/dataviews.calendar/dist/gc.dataviews.calendar.min.js',
    // ...
  },
};

Version 1
Version 1

DataViewsJS Vue Component

Supports Vue version 2.0.0 or higher.

The DataViewsJS control can be integrated with the DataViewsJS component for Vue in Vue templates markup. A DataViewsJS Vue component is a wrapper for the DataViewsJS control it represents. The Component creates a DataViewsJS control behind the scenes, and provides a reference to the control instance via the dataView property. The Component also allows you to configure the control options and events declaratively in the Vue template markup.

DataViewsJS Vue component is shipped as a separate npm @grapecity/dataviews.vue package. The latest version of the package can be installed from npm by executing the following command from NodeJS command prompt:

npm install @grapecity/dataviews.vue

See this topic for more details about DataViewsJS npm packages.

After that you can import Vue component using ESM import statements. For example, the below import statement imports the DataViewsJS Vue component:

import '@grapecity/dataviews.vue';

Importing DataViewsJS Vue Component

With this setup, you can import DataViewsJS Vue module and use the component it provides. For example, this code adds a DataViewsJS component to App component's template:

<template>
  <gc-dataview :data="data"></gc-dataview>
</template>
<script>
  import Vue from 'vue';
  import '@grapecity/dataviews.vue';
  import '@grapecity/dataviews.grid'; // to apply default grid layout
  import { getData } from './data';

  let App = Vue.extend({
    name: 'app',
    data: function () {
      return {
        data: getData(),
      };
    },
  });
</script>

Note: DataViewsJS Vue component is registered globally, so you don't need to import any specific class or variable from the @grapecity/dataviews.vue package. This allows you to use an import statement without a from clause. It's enough to import DataViewsJS Vue module only once, somewhere in the root module of your Single Page Application. Alternatively, it is also acceptable to import this module multiple times.

Please see DataView component for referring the properties and events supported by the component.

The "create" Event

DataViewsJS Vue component includes a "create" event which is raised after the DataViewsJS control is initialized. You can use this event to perform further initalization in addition to setting up the properties in markup. For example:

<gc-dataview v-on:create="initDataView"> </gc-dataview>
Vue.extend({
  methods: {
    initDataView(dataView) {
      // expand some nodes manually
      dataView.data.nodes.forEach((node) => {
        node.collapsed = false;
      });

      dataView.invalidate();
    },
    // ...
  },
});

Creating DataViewsJS Control in Code

DataViewsJS component for Vue is intended to be used in Vue template markup. If you want to create a DataViewsJS control in code, you should use a DataViewsJS control from a core module for this purpose, instead of a Vue component. For example, this code creates a DataViewsJS control in code:

import DataView from '@grapecity/dataviews.core';

let data = [];
let dataView = new DataView('#host_element', data);

Note: To import DataViewsJS control, we use '@grapecity/dataviews.core' module instead of '@grapecity/dataviews.vue'.